dnl
dnl $Id: check-kafs.m4,v 1.2 2000/02/12 19:06:21 assar Exp $ - check for libkafs/krbafs
dnl

AC_DEFUN(AC_CHECK_KAFS,[

AC_ARG_WITH(krbafs,
[  --with-krbafs=dir       use libkrbafs (from cmu, extracted from kth-krb) in dir],

[if test "$with_krbafs" = "yes"; then
  AC_MSG_ERROR([You have to give the path to krbafs lib])
fi],
[with_krbafs=no])

if test "$with_krbafs" != "no"; then
  KAFS_LIBS_FLAGS="-L${with_krbafs}/lib" 
else 
  KAFS_LIBS_FLAGS="${KRB4_LIB_FLAGS}" 
fi

AC_FIND_FUNC_NO_LIBS(k_hasafs,[kafs krbafs],[], [],
[$KRB4_LIB_FLAGS], [${KAFS_LIBS_FLAGS}])

if test "X$ac_cv_funclib_k_hasafs" = "Xno"; then
  AC_MSG_ERROR(didn't find any libkafs/libkrbafs) ; fi

if test "X$ac_cv_funclib_k_hasafs" != "Xyes"; then
  KAFS_LIBS="$KAFS_LIBS_FLAGS ${ac_cv_funclib_k_hasafs}" ; fi

AC_SUBST(KAFS_LIBS)

])dnl
